# Create PayNow payment details

Creates the encoded QR code and details for the payin session so the user can fund a transfer or balance top-up via a PayNow transaction.
This operation supports the SGD currency only.

Endpoint: POST /v1/profiles/{profileId}/payin-sessions/{payinSessionId}/paynow
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    Profile ID of the profile that created the transfer.

  - `payinSessionId` (string, required)
    Payin Session ID retrieved from Transfer object.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `qrCodeInBase64` (string)
    An encoded QR image in base64 format, which can be decoded and displayed directly to the end user.
    Example: iVBORw0KGgoAAAANSUhEUgAAAXUAAAF1CAIAAACYn+2fAAB2CUlEQVR4Xux9B2BU15k1cYxAdJCQhB...

  - `details` (object)
    Manual input details that can be used by the end user to make the transfer without scanning the QR image.

  - `details.virtualPaymentAddress` (string)
    Virtual payment address to pay to.
    Example: UEN123456789R#WISE

  - `details.amount` (number)
    Transfer amount.
    Example: 100

  - `details.currency` (string)
    Currency.
    Example: SGD

  - `details.reference` (string)
    Payment reference used for linking the PayNow transaction to the transfer created by the profile.
    Example: PP12345678

  - `details.entityName` (string)
    Entity name of the Wise Account to make the PayNow transfer to.
    Example: WISE ASIA-PACIFIC PTE LTD

## Response 400 fields (application/json):

  - `type` (string)
    Must be /errors/types/validation for this error type.

  - `title` (string)
    Validation Error

  - `status` (string)
    Bad Format Validation Error

  - `instance` (string)
    The uri the triggered a validation error

  - `errors` (array)
    A list of specific validation failures.

  - `errors.detail` (string)
    A detailed description of the validation failure.

  - `errors.code` (string)
    A specific code for the validation failure type.

  - `errors.ref` (string)
    A reference to the field that failed validation.

## Response 422 fields (application/json):

  - `type` (string)
    Must be /errors/types/domain for this error type.

  - `title` (string)
    Unprocessable Entity

  - `status` (string)
    Unprocessable Entity Domain Error

  - `instance` (string)
    The uri that triggered the error

  - `code` (string)
    Error code of the request
    Example: payins.paynow.details.creation.not.allowed

